@echo off
REM Command file to backup important VEWD data.
REM Invoked with: filename [code] [session date] [session id] [current time]
REM Where code is 0 for autobackup, 1 for user partial, 2 for user full
REM Session date is YYMMDD and time is HHMM

REM Drive and directory path to back up the data to...
set safeplace=K:\

if "%1" == "0" goto autosave
if "%1" == "1" goto partial
if "%1" == "2" goto full
echo "Unknown command code " %1
goto fini

:autosave
REM Quickest.  The data you really don't want to loose.  No index files
REM saved, nor the session database file. 

xcopy attve.dat		%safeplace% /v	>NUL:
xcopy veinfo.dat	%safeplace% /v	>NUL:
xcopy veinfo.mem	%safeplace% /v	>NUL:
xcopy victims.dat	%safeplace% /v	>NUL:
xcopy victims.mem	%safeplace% /v	>NUL:
goto fini

REM User selected session data backup.  Do index files as well.
:partial
xcopy attve.*		%safeplace% /v	>NUL:
xcopy veinfo.*		%safeplace% /v	>NUL:
xcopy victims.*		%safeplace% /v	>NUL:
goto fini

REM The Whole thing.  Zip it up first to keep it small.
:full
pkzip %2 *.dat *.mem *.k*		>NUL:
xcopy %2.zip 		%safeplace% /v	>NUL:
goto fini

:fini

